Bug 446943 - Freeradius renames certificates during upgrade from 1.1.7
Freeradius renames certificates during upgrade from 1.1.7
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: freeradius (Show other bugs)
9
All Linux
low Severity medium
: ---
: ---
Assigned To: John Dennis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-16 14:15 EDT by Pavel Polischouk
Modified: 2009-07-14 11:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:28:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pavel Polischouk 2008-05-16 14:15:50 EDT
Description of problem:
When upgrading from 1.1.7 to 2.0.2, the install/remove RPM scripts rename all
certificates under raddb/certs to have .rpmsave suffix.

Version-Release number of selected component (if applicable):
2.0.2-2.fc9

How reproducible:

Always

Steps to Reproduce:
1. $ apt-get install freeradius#2.0.2-2.fc9
2. $ service radiusd start
  
Actual results:

Starting RADIUS server: [FAILED]
$ ls /etc/raddb/certs
cert-clt.der.rpmsave
cert-clt.p12.rpmsave
...

Expected results:

Should continue to work with old configuration, and specifically not touch
manually generated certificates.
Comment 1 John Dennis 2008-05-28 14:12:44 EDT
I don't believe the Fedora spec file will do this on an upgrade. It is possible
to get these .rpmsave files if you removed the previous freeradius rpm prior to
installing the new rpm (as opposed to upgrading the existing rpm). Did you do
this? If so then the .rpmsave files are correctly renamed because the original
rpm was removed (even if only temporarilly). Note in the 1.1.7 spec file all
files under /etc/raddb/certs were marked "config noreplace" which would have
picked up site specific files, however in the new 2.0.x series only
/etc/raddb/certs/*.cnf files are marked "config noreplace".

I tend to think the problem you saw was due to a "remove,install" sequence
rather than an atomic "upgrade". If this is the case please close this bug,
otherwise could you provide more specifics on how you performed the package
upgrade because the spec file suggests what you saw happen should not happened.

Comment 2 Pavel Polischouk 2008-05-28 22:44:20 EDT
I used "apt-get upgrade". AFAIK, during upgrade apt installs the new packages
first, and removes/cleans up afterwards, so the scenario you outlined is unlikely.

I can try reverting to the old version and doing an upgrade using different
methods (rpm, yum, apt) several times to get more data.
Comment 3 Bug Zapper 2009-06-09 20:54:13 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 11:28:14 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.